<template>
    <div class="tab-pane fade" id="pills-community" role="tabpanel" aria-labelledby="pills-community-tab">
        <div class="row align-items-center justify-content-end mb-4">
            <div class="col-md-4">
                <form class="d-flex">
                    <input v-model="keyword" v-on:keyup="search" class="form-control me-2" type="search"
                        placeholder="Search" aria-label="Search">
                    {{ keyword }}
                </form>
            </div>
        </div>
        <div class="pokemon-div-scroll">
            <div class="row">
                <div v-for="user in list" :key="user.id" class="col-md-3">
                    <CommunityCard @toggle-user-profile="toggleUserProfile" :user="user" />
                </div>
                <CommunityProfileModal :user="user" />
            </div>
        </div>
    </div>
</template>

<script>
import CommunityProfileModal from './CommunityProfileModal'
import CommunityCard from './CommunityCard'

export default {
    name: "CommunityTab",
    props: {
        token: String,
    },
    components: {
        CommunityProfileModal,
        CommunityCard
    },
    data() {
        return {
            keyword: "",
            list: Array,
            user: JSON,
        }
    },
    methods: {
        async search() {
            const res = await fetch(`http://localhost:8000/api/search/`, {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'Accept': 'application/json',
                    'Authorization': `Bearer ${this.token}`,
                },
                body: JSON.stringify({ keyword: this.keyword })

            })

            this.list = await res.json()
        },
        toggleUserProfile(user){
            this.user = user
        }   
    },
    async created() {
        this.search()

    }
}
</script>